View Issue Details

IDProjectCategoryLast Update
0020071AI War 2[All Projects] GUISep 10, 2019 9:24 pm
ReporterRocketAssistedPuffinAssigned ToBadgerBadger 
Severitytrivial 
Status resolvedResolutionfixed 
Product Version0.763 Supersized Ship Caps 
Fixed in Version0.888 Astro Examination 
Summary0020071: Astrotrain depots change colour of their planets links to blue
DescriptionUnsure if bug. Unusual, I suppose.

Credit to Ovalcircle for noticing, and zeusalmighty for the save, which Oval passed on.

Planet Draconi is causing a similar link, I think because the Hunter took it over. This isn't possible anymore next release due to a fix from Badger.

I'm guessing this is allied linking colour for the AI? The trains are shown as a separate faction ingame, but this feels odd - they're part of the AI overall, not an allied faction.

TagsNo tags attached.

Activities

RocketAssistedPuffin

Aug 30, 2018 7:18 pm

developer  

Hunter_fleet_command_station.save (1,454,047 bytes)

BadgerBadger

Sep 3, 2018 1:53 am

manager   ~0048758

So currently when a planet is under the influence of a Minor Faction, wormholes to that planet are made a different colour. Perhaps we want to restrict the notion of "Influence" a bit to "only minor factions actually controlling the planet", like Marauders/Dyson/Nanocaust?

BadgerBadger

Sep 10, 2019 9:24 pm

manager   ~0052988

This was fixed some time ago

Issue History

Date Modified Username Field Change
Aug 30, 2018 7:18 pm RocketAssistedPuffin New Issue
Aug 30, 2018 7:18 pm RocketAssistedPuffin File Added: Hunter_fleet_command_station.save
Sep 3, 2018 1:53 am BadgerBadger Note Added: 0048758
Sep 10, 2019 9:24 pm BadgerBadger Assigned To => BadgerBadger
Sep 10, 2019 9:24 pm BadgerBadger Status new => resolved
Sep 10, 2019 9:24 pm BadgerBadger Resolution open => fixed
Sep 10, 2019 9:24 pm BadgerBadger Fixed in Version => 0.888 Astro Examination
Sep 10, 2019 9:24 pm BadgerBadger Note Added: 0052988